Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::AttrVariant Class Reference

A PangoAttrVariant C++ wrapper class. More...

`#include <inti/pango/attributes.h>`

Inheritance diagram for Inti::Pango::AttrVariant:

List of all members.

## Public Member Functions

Constructors

- AttrVariant (Variant variant=VARIANT_NORMAL)
    Construct a new font variant attribute (normal or small caps).

Accessors

- Variant variant () const
    Returns the variant.

Methods

- void set_variant (Variant variant)
    Sets the variant.

## Detailed Description

A PangoAttrVariant C++ wrapper class.

AttrVariant wraps the variant attribute (ATTR_VARIANT).

## Constructor & Destructor Documentation

Inti::Pango::AttrVariant::AttrVariant | ( | Variant | variant = VARIANT_NORMAL | ) | `[explicit]`

  | Construct a new font variant attribute (normal or small caps). Parameters:
  variant | The Variant.

## Member Function Documentation

void Inti::Pango::AttrVariant::set_variant | ( | Variant | variant | ) |

  | Sets the variant. Parameters:
  variant | The new variant.

The documentation for this class was generated from the following file:

- attributes.h

Main Page - Footer